/**
 * ${moduleNameUpperCase} Generated Driver API Header File
 *
 * @file ${moduleNameLowerCase}_host_types.h
 *
 * @defgroup ${moduleNameLowerCase} ${moduleNameUpperCase}
 *
 * @brief This header file provides APIs for the ${moduleNameUpperCase} driver.
 *
 * @version ${moduleNameUpperCase} Driver Version 2.0.1
*/

${disclaimer}

#ifndef ${moduleGroupNameUpperCase}_HOST_TYPES_H
#define	${moduleGroupNameUpperCase}_HOST_TYPES_H

/**
 * @ingroup ${moduleNameLowerCase}
 * @typedef enum ${moduleGroupNameLowerCase}_host_error_t
 * @brief Enumeration for ${moduleGroupNameUpperCase}_ERROR code
 */
typedef enum
{
    ${moduleGroupNameUpperCase}_ERROR_NONE,             /* No Error */
    ${moduleGroupNameUpperCase}_ERROR_ADDR_NACK,
    ${moduleGroupNameUpperCase}_ERROR_DATA_NACK,
    ${moduleGroupNameUpperCase}_ERROR_BUS_COLLISION,    /* Bus Collision Error */
}${moduleGroupNameLowerCase}_host_error_t;

/**
 * @ingroup ${moduleNameLowerCase}
 * @struct ${moduleGroupNameUpperCase}_TRANSFER_SETUP structure
 * @brief Structure for ${moduleGroupNameUpperCase} Clock Speed (100KHZ to 1MHZ)
 */
struct ${moduleGroupNameUpperCase}_TRANSFER_SETUP
{
  uint32_t clkSpeed;            // ${moduleGroupNameUpperCase} Clock Speed 
};

#endif // end of ${moduleGroupNameUpperCase}_HOST_TYPES_H