/**
 * ${moduleNameUpperCase} Generated Driver API Header File
 *
 * @file {moduleGroupNameLowerCase}.h
 *
 * @defgroup ${moduleNameLowerCase}_client_interface ${moduleNameUpperCase}_CLIENT_INTERFACE
 *
 * @brief This header file provides APIs for the ${moduleNameUpperCase} driver.
 *
 * @version ${moduleNameUpperCase} Driver Version 1.0.1
*/

${disclaimer}

#ifndef ${moduleGroupNameUpperCase}_CLIENT_INTERFACE_H
#define ${moduleGroupNameUpperCase}_CLIENT_INTERFACE_H
/**
  Section: Included Files
*/
#include <stdbool.h>
#include <stdint.h>
#include "${moduleGroupNameLowerCase}_client_types.h"
    
/**
 Section: Data Type Definitions
 */

/**
 * @ingroup ${moduleGroupNameLowerCase}_client_interface
 * @struct ${moduleGroupNameLowerCase}_client_interface_t
 * @brief Structure containing the function pointers of ${moduleGroupNameUpperCase} driver.
 */
struct ${moduleGroupNameUpperCase}_CLIENT_INTERFACE
{
    void (*Initialize)(void);
    void (*Deinitialize)(void);
    void (*WriteByte)(uint8_t wrByte);
    uint8_t(*ReadByte)(void);
    ${moduleGroupNameLowerCase}_client_error_t (*ErrorGet)(void);
    ${moduleGroupNameLowerCase}_client_transfer_dir_t (*TransferDirGet)(void);
    ${moduleGroupNameLowerCase}_client_ack_status_t (*LastByteAckStatusGet)(void);
    void (*CallbackRegister)(bool (*handler)(${moduleGroupNameLowerCase}_client_transfer_event_t clientEvent));
    void (*Tasks)(void);
};

#endif // end of ${moduleGroupNameUpperCase}_CLIENT_INTERFACE_H